@import "bootstrap-grid.css"
@import "sass/index"
.wrap-image
  position: relative
  width: 100%
  height: 0
  padding-bottom: 171.42%

  &.square
    padding-bottom: 100%

  img
    width: 100%
    height: 100%
    object-fit: cover
    position: absolute
    left: 0
    top: 0
    transition: all 0.2s
    opacity: 1
    transform: scale(1)

.main
  display: block
  text-align: left
  padding: 20px 32px
  color: white
  min-height: 100%

  .title
    font-size: 2em
    font-weight: bold
    color: white

  .sub-title
    color: white
    font-size: 1.3em
    font-weight: bold
    margin-right: auto

  .wrap-subtitle
    display: flex

    .right
      margin-left: auto

      .prev, .next
        cursor: pointer
        padding: 10px 10px
        font-size: 20px

        &.hide
          opacity: 0.5
          pointer-events: none

.background-top
  height: 200px
  background: linear-gradient(-45deg, #ee7752, #e73c7e, #23a6d5, #2372d5)
  background-size: 200% 200%
  -webkit-animation: gradient 15s ease infinite
  animation: gradient 15s ease infinite
  position: relative

  &:after
    position: absolute
    content: ''
    display: block
    width: 100%
    height: 30%
    background: rgb(0, 0, 0)
    background: linear-gradient(0deg, rgba(0, 0, 0, 1) 0%, rgba(0, 0, 0, 0.47942927170868344) 70%, rgba(0, 0, 0, 0) 100%)
    bottom: 0
    left: 0

  & + .main
    margin-top: -100px
    position: relative

.background-gradient
  height: 332px
  width: 100%
  position: absolute
  top: 0
  left: 0
  z-index: -1
  background-image: -webkit-gradient(linear, left top, left bottom, from(rgba(0, 0, 0, .6)), to(#121212))
  background-image: linear-gradient(rgba(0, 0, 0, .6), #121212)
  -webkit-transition: background .5s ease
  transition: background .5s ease

hr
  margin-bottom: 15px
  &.blur
    border-color: gray!important

.text-right
  text-align: right

.mr-auto
  margin-right: auto

.p-top-60
  padding-top: 60px

.bg-black
  background-color: black

.ant-breadcrumb
  margin-bottom: 15px!important
  margin-top: 20px!important

.visible-on-hover
  opacity: 0
  transition: opacity 0.2s
tr:hover
  .visible-on-hover
    opacity: 1

//btn
.btn-group
  display: flex
  .btn:not(:first-child)
    margin-left: 25px
.square-btn
  border-radius: 0!important
.big-btn
  padding: 13px 30px!important
  height: auto!important
  min-width: 130px
  font-weight: 600!important
.btn-primary
  background-color: #ffffff
.btn-white
  background-color: #ffffff
  color: #000000
  border-color: #ffffff!important
  &:hover
    background-color: #bcbcbc
    border-color: #ffffff!important
.btn-green
  background-color: #1db954!important
  color: #ffffff!important
  border-color: #1db954!important
  &:hover
    background-color: #0c913b
    border-color: #1db954!important
.btn-blue
  background-color: #ffffff


// text
h1, h2, h3, h4, h5, h6
  color: inherit!important
.text-blue
  color: #0D52B9
.text-while
  color: white!important
.text-black
  color: black
.text-green
  color: #1DB954
.text-red
  color: red
.text-gray
  color: gray
.text-orange
  color: orange
.uppercase
  text-transform: uppercase
h1
  color: white!important
  font-size: 2.5em

//custom table

.ant-table-tbody > tr:hover:not(.ant-table-expanded-row):not(.ant-table-row-selected) > td
  background-color: #333333 !important

.ant-progress-text
  color: white!important

.ant-table-thead > tr > th
  background-color: transparent!important
  color: #b0b0b0!important
  text-transform: uppercase!important

.ant-table
  color: #d6d6d6!important
  font-size: 16px!important
.ant-table-thead > tr > th, .ant-table-tbody > tr > td
  padding: 10px 15px!important
.ant-table-tbody > tr > td,.ant-table-thead > tr > th
  border-bottom: solid 1px #5f5f5f!important

// breadcrumb

.ant-breadcrumb > span:last-child, .ant-breadcrumb a:hover
  color: white!important

.ant-breadcrumb, /deep/ .ant-breadcrumb a
  color: rgba(255, 255, 255, .45) !important

.ant-avatar
  border-radius: unset!important
  width: 50px!important
  height: 50px!important

.ant-list-item-meta-title,.ant-list-item-meta-title a
  color: #ffffff !important

.ant-list-item-meta-description
  font-weight: 200!important
  color: #cecece !important

//category
.category
  padding: 16px
  margin-bottom: 32px
  background-color: #181818
  transition: all .3s ease
  border-radius: 2px
  &:hover
    background-color: #282828
    .wrap-image
      .btn-play
        bottom: 10px
        opacity: 1
  .wrap-image
    margin-bottom: 16px
    .btn-play
      background-color: #1db954
      border-radius: 50%
      display: inline-block
      width: 40px
      height: 40px
      transition: all .3s ease
      transform: scale(1)
      position: absolute
      bottom: 0
      right: 10px
      padding: 10px
      opacity: 0
      -webkit-box-shadow: 0 8px 8px rgba(0, 0, 0, 0.3)
      box-shadow: 0 8px 8px rgba(0, 0, 0, 0.3)
      &:hover
        transform: scale(1.1)
      i
        font-size: 20px
  .title
    font-weight: 600
    font-size: 16px
    margin-bottom: 4px
  .description
    font-size: 14px
    line-height: 15px
    display: -webkit-box
    -webkit-line-clamp: 2
    -webkit-box-orient: vertical
    white-space: normal
    overflow: hidden
    color: #bfbfbf
.ant-breadcrumb-separator
  color: rgba(255, 255, 255, .45) !important

.ant-breadcrumb > span:last-child, .ant-breadcrumb a:hover
  color: white!important


.ant-breadcrumb, .ant-breadcrumb a
  color: rgba(255, 255, 255, .45) !important

.ant-form-item-label > label
  color: white!important
.ant-input, .ant-select-selection

  background-color: transparent!important
  color: rgba(255, 255, 255, 0.65) !important
  border-radius: unset!important

@media only screen and (max-width: 500px)
  .ant-layout.ant-layout-has-sider
    .main
      margin-right: -200px
  .main
    padding: 20px 15px
  .ant-layout-header
    padding: 0 15px!important